Limerence
Data sources

Connect Search Console

Connect Search Console through a dedicated BigQuery project

POST
/data-sources/search-console

Connect Search Console through a dedicated BigQuery project

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/data-sources/search-console" \  -H "Content-Type: application/json" \  -d '{    "credentialToken": "e078b3ea-7738-4b3c-8a06-0c9234777a90",    "location": "US",    "name": "string",    "projectId": "string",    "siteUrl": "string"  }'
{  "dataSourceId": "string",  "handoff": {    "principal": "string",    "roles": [      "string"    ]  },  "iamPrepared": true,  "profile": {    "createdAt": "string",    "datasetId": "string",    "dataSourceId": "string",    "id": "string",    "lastCheckedAt": null,    "lastError": null,    "latestDataDate": null,    "location": "string",    "siteUrl": "string",    "status": "PREPARING",    "teamId": "string",    "updatedAt": "string"  },  "projectId": "string",  "ready": true}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}